globus_gsi_proxy_handle_attrs(3)

NAME
globus_gsi_proxy_handle_attrs - Handle Attributes

 - Handle Attributes.

SYNOPSIS

  Typedefs

typedef struct globus_l_gsi_proxy_handle_attrs_s * globus_gsi_proxy_handle_attrs_t
Handle Attributes.

  Functions

globus_result_t globus_gsi_proxy_handle_attrs_init (globus_gsi_proxy_handle_attrs_t *handle_attrs)
Initialize Attributes.
globus_result_t globus_gsi_proxy_handle_attrs_destroy (globus_gsi_proxy_handle_attrs_t handle_attrs)
Destroy attributes.
globus_result_t globus_gsi_proxy_handle_attrs_set_keybits (globus_gsi_proxy_handle_attrs_t handle_attrs, int bits)
Set Key Bits.
globus_result_t globus_gsi_proxy_handle_attrs_get_keybits (globus_gsi_proxy_handle_attrs_t handle_attrs, int *bits)
Get Key Bits.
globus_result_t globus_gsi_proxy_handle_attrs_set_init_prime (globus_gsi_proxy_handle_attrs_t handle_attrs, int prime)
Set Initial Prime Number.
globus_result_t globus_gsi_proxy_handle_attrs_get_init_prime (globus_gsi_proxy_handle_attrs_t handle_attrs, int *prime)
Get Initial Prime Number.
globus_result_t globus_gsi_proxy_handle_attrs_set_signing_algorithm (globus_gsi_proxy_handle_attrs_t handle_attrs, const EVP_MD *algorithm)
Set Signing Algorithm.
globus_result_t globus_gsi_proxy_handle_attrs_get_signing_algorithm (globus_gsi_proxy_handle_attrs_t handle_attrs, const EVP_MD **algorithm)
Get Signing Algorithm.
globus_result_t globus_gsi_proxy_handle_attrs_set_clock_skew_allowable (globus_gsi_proxy_handle_attrs_t handle_attrs, int skew)
Set Clock Skew Allowable.
globus_result_t globus_gsi_proxy_handle_attrs_get_clock_skew_allowable (globus_gsi_proxy_handle_attrs_t handle_attrs, int *skew)
Get Clock Skew Allowable.
globus_result_t globus_gsi_proxy_handle_attrs_get_key_gen_callback (globus_gsi_proxy_handle_attrs_t handle_attrs, void(**callback)(int, int, void *))
Get Key Gen Callback.
globus_result_t globus_gsi_proxy_handle_attrs_set_key_gen_callback (globus_gsi_proxy_handle_attrs_t handle_attrs, void(*callback)(int, int, void *))
Set Key Gen Callback.
globus_result_t globus_gsi_proxy_handle_attrs_copy (globus_gsi_proxy_handle_attrs_t a, globus_gsi_proxy_handle_attrs_t *b)
Copy Attributes.

Detailed Description

Handle Attributes.

Handle attributes are used to control additional features of the GSI Proxy handle. These features are operation independent.

Currently there are no attributes.

See also
    globus_gsi_proxy_handle_t

Typedef Documentation

  typedef struct globus_l_gsi_proxy_handle_attrs_s* globus_gsi_proxy_handle_attrs_t

Handle Attributes. A GSI Proxy handle attributes type is used to associate immutable parameter values with a Handle Management handle. A handle attributes object should be created with immutable parameters and then passed to the proxy handle init function globus_gsi_proxy_handle_init().

See also
    Handle Management

Function Documentation

  globus_result_t globus_gsi_proxy_handle_attrs_copy (globus_gsi_proxy_handle_attrs_t a, globus_gsi_proxy_handle_attrs_t * b)

Copy Attributes. Make a copy of GSI Proxy handle attributes

Parameters
    a The handle attributes to copy
    b The copy

Returns
    GLOBUS_SUCCESS

  globus_result_t globus_gsi_proxy_handle_attrs_destroy (globus_gsi_proxy_handle_attrs_t handle_attrs)

Destroy attributes. Destroy the GSI Proxy handle attributes

Parameters
    handle_attrs The handle attributes to be destroyed.

Returns
    GLOBUS_SUCCESS

See also
    globus_gsi_proxy_handle_attrs_init()

  globus_result_t globus_gsi_proxy_handle_attrs_get_clock_skew_allowable (globus_gsi_proxy_handle_attrs_t handle_attrs, int * skew)

Get Clock Skew Allowable. Get the allowable clock skew for the proxy certificate

Parameters
    handle_attrs The handle_attrs to get the clock skew from
    skew The allowable clock skew (in seconds) to get from the proxy certificate request. This value gets set by the function, so it needs to be a pointer.

Returns
    GLOBUS_SUCCESS if the handle_attrs is valid, otherwise an error is returned

  globus_result_t globus_gsi_proxy_handle_attrs_get_init_prime (globus_gsi_proxy_handle_attrs_t handle_attrs, int * prime)

Get Initial Prime Number. Get the initial prime number used for generating the public key pair in the RSA algorithm

Parameters
    handle_attrs The attributes to get the initial prime number from
    prime The initial prime number taken from the attributes

Returns
    GLOBUS_SUCCESS

  globus_result_t globus_gsi_proxy_handle_attrs_get_key_gen_callback (globus_gsi_proxy_handle_attrs_t handle_attrs, void(** callback )(int, int, void *))

Get Key Gen Callback. Get the public/private key generation callback that provides status during the generation of the keys

Parameters
    handle_attrs The handle_attrs to get the callback from
    callback The callback from the handle attributes

Returns
    GLOBUS_SUCCESS if the handle_attrs is valid, otherwise an error is returned

  globus_result_t globus_gsi_proxy_handle_attrs_get_keybits (globus_gsi_proxy_handle_attrs_t handle_attrs, int * bits)

Get Key Bits. Gets the length of the public key pair used by the proxy certificate

Parameters
    handle_attrs the attributes to get the key length from
    bits the length of the key pair in bits

Returns
    GLOBUS_SUCCESS

  globus_result_t globus_gsi_proxy_handle_attrs_get_signing_algorithm (globus_gsi_proxy_handle_attrs_t handle_attrs, const EVP_MD ** algorithm)

Get Signing Algorithm. Gets the Signing Algorithm to used to sign the certificate request. In most cases, the signing party will ignore this value, and sign with an algorithm of its choice.

Parameters
    handle_attrs The proxy handle_attrs to get the signing algorithm of
    algorithm Parameter used to return the signing algorithm used

Returns
    Returns GLOBUS_SUCCESS if the handle is valid, otherwise an error object is returned.

  globus_result_t globus_gsi_proxy_handle_attrs_init (globus_gsi_proxy_handle_attrs_t * handle_attrs)

Initialize Attributes. Initialize GSI Proxy Handle Attributes.

Initialize proxy handle attributes, which can (and should) be associated with a proxy handle. For most purposes, these attributes should primarily be used by the proxy handle.

Currently, no attribute values are initialized.

Parameters
    handle_attrs The handle attributes structure to be initialized

Returns
    GLOBUS_SUCCESS unless an error occurred, in which case, a globus error object ID is returned

See also
    globus_gsi_proxy_handle_attrs_destroy()

  globus_result_t globus_gsi_proxy_handle_attrs_set_clock_skew_allowable (globus_gsi_proxy_handle_attrs_t handle_attrs, int skew)

Set Clock Skew Allowable. Sets the clock skew in minutes of the proxy cert request so that time differences between hosts won't cause problems. This value defaults to 5 minutes.

Parameters
    handle_attrs the handle_attrs containing the clock skew to be set
    skew the amount to skew by (in seconds)

Returns
    GLOBUS_SUCCESS if the handle_attrs is valid - otherwise an error is returned.

  globus_result_t globus_gsi_proxy_handle_attrs_set_init_prime (globus_gsi_proxy_handle_attrs_t handle_attrs, int prime)

Set Initial Prime Number. Set the initial prime number used for generating public key pairs in the RSA algorithm

Parameters
    handle_attrs The attributes to set
    prime The prime number to set it to This value needs to be a prime number

Returns
    GLOBUS_SUCCESS

  globus_result_t globus_gsi_proxy_handle_attrs_set_key_gen_callback (globus_gsi_proxy_handle_attrs_t handle_attrs, void(* callback )(int, int, void *))

Set Key Gen Callback. Set the public/private key generation callback that provides status during the generation of the keys

Parameters
    handle_attrs The handle_attrs to get the callback from
    callback The callback from the handle attributes

Returns
    GLOBUS_SUCCESS if the handle_attrs is valid, otherwise an error is returned

  globus_result_t globus_gsi_proxy_handle_attrs_set_keybits (globus_gsi_proxy_handle_attrs_t handle_attrs, int bits)

Set Key Bits. Set the length of the public key pair used by the proxy certificate

Parameters
    handle_attrs the attributes to set
    bits the length to set it to (usually 1024)

Returns
    GLOBUS_SUCCESS

  globus_result_t globus_gsi_proxy_handle_attrs_set_signing_algorithm (globus_gsi_proxy_handle_attrs_t handle_attrs, const EVP_MD * algorithm)

Set Signing Algorithm. Sets the Signing Algorithm to be used to sign the certificate request. In most cases, the signing party will ignore this value, and sign with an algorithm of its choice.

Parameters
    handle_attrs The proxy handle to set the signing algorithm of
    algorithm The signing algorithm to set

Returns
    Returns GLOBUS_SUCCESS if the handle is valid, otherwise an error object is returned.

Author

Generated automatically by Doxygen for globus_gsi_proxy_core from the source code.